## yorick-yutils 1.3.0

=== Makefile ===
# these values filled in by    yorick -batch make.i
Y_MAKEDIR=/usr/lib/yorick
Y_EXE=/usr/lib/yorick/bin/yorick
Y_EXE_PKGS=
Y_EXE_HOME=/usr/lib/yorick
Y_EXE_SITE=/usr/lib/yorick

# 
# !! THIS IS NOT A PLUGIN !!
# This is a package made of several interpreted 
# include file. This makefile is just used to install,
# uninstall it or build the distribution tar file.

# ------------------------------------------------ macros for this package

# used for distribution
PKG_NAME = yutils
# include files for this package
PKG_I=astro_util1.i constants.i copy_plot.i detect.i fft_utils.i histo.i idl-colors.i img.i linalg.i lmfit.i plot_demo2.i plot_demo.i plot.i plvp.i poly.i pyk.i random_et.i rdcols.i rgb.i util_fr.i utils.i coords.i doppler.i graphk.i gauss.i tws_button.i tws_field.i tws_grid.i tws.i tws_label.i tws_popup.i tws_radio.i tws_root.i
# autoload file for this package, if any
PKG_I_START = yutils_start.i

# override macros Makepkg sets for rules and other macros
# Y_HOME and Y_SITE in Make.cfg may not be correct (e.g.- relocatable)
Y_HOME=$(Y_EXE_HOME)
Y_SITE=$(Y_EXE_SITE)

# include $(Y_MAKEDIR)/Make.cfg
DEST_Y_SITE=$(DESTDIR)$(Y_SITE)
DEST_Y_HOME=$(DESTDIR)$(Y_HOME)

# ------------------------------------- targets and rules for this package

build:
	@echo "Nothing to build. This is not a plugin"
	@echo "other targets: install, uninstall, clean"
	@echo "for maintainers: package, distpkg"

clean:
	-rm -rf pkg *~

install:
	mkdir -p $(DEST_Y_SITE)/i
	mkdir -p $(DEST_Y_SITE)/data
	mkdir -p $(DEST_Y_SITE)/python
	mkdir -p $(DEST_Y_SITE)/i-start
	cp -p $(PKG_I) $(DEST_Y_SITE)/i/
	cp -p colors1.tbl $(DEST_Y_SITE)/data/
	cp -p pyk.py $(DEST_Y_SITE)/python/
	cp -p yutils_start.i $(DEST_Y_SITE)/i-start/

uninstall:
	-cd $(DEST_Y_SITE)/i; rm $(PKG_I)
	-rm $(DEST_Y_SITE)/i-start/yutils_start.i
	-rm $(DEST_Y_SITE)/data/colors1.tbl
	-rm $(DEST_Y_SITE)/python/pyk.py

# -------------------------------------------- package build rules

PKG_VERSION = $(shell (awk '{if ($$1=="Version:") print $$2}' $(PKG_NAME).info))
# .info might not exist, in which case he line above will exit in error.

package:
	mkdir -p pkg/$(PKG_NAME)/dist/y_site/i
	mkdir -p pkg/$(PKG_NAME)/dist/y_site/python
	mkdir -p pkg/$(PKG_NAME)/dist/y_site/data
	mkdir -p pkg/$(PKG_NAME)/dist/y_site/i-start
	cp -p $(PKG_I) pkg/$(PKG_NAME)/dist/y_site/i/
	cd pkg/$(PKG_NAME)/dist/y_site/i/; if test -f "check.i"; then rm check.i; fi
	if test -f "check.i"; then cp -p check.i pkg/$(PKG_NAME)/.; fi
	cp -p *.py pkg/$(PKG_NAME)/dist/y_site/python/
	cp -p *.tbl pkg/$(PKG_NAME)/dist/y_site/data/
	if test -n "$(PKG_I_START)"; then cp -p $(PKG_I_START) \
	  pkg/$(PKG_NAME)/dist/y_site/i-start/; fi
	cp -p $(PKG_NAME).info pkg/$(PKG_NAME)/$(PKG_NAME).info
	cd pkg; tar zcvf $(PKG_NAME)-$(PKG_VERSION)-pkg.tgz $(PKG_NAME)

distpkg:
#tarball there
	if test -f "pkg/$(PKG_NAME)-$(PKG_VERSION)-pkg.tgz" ; then \
	  ncftpput -f $(HOME)/.ncftp/maumae www/yorick/packages/tarballs/ \
	  pkg/$(PKG_NAME)-$(PKG_VERSION)-pkg.tgz; fi
#info files in each architecture directory
	if test -f "pkg/$(PKG_NAME)/$(PKG_NAME).info" ; then \
		ncftpput -f $(HOME)/.ncftp/maumae www/yorick/packages/darwin-ppc/info/ \
		pkg/$(PKG_NAME)/$(PKG_NAME).info; fi
	if test -f "pkg/$(PKG_NAME)/$(PKG_NAME).info" ; then \
		ncftpput -f $(HOME)/.ncftp/maumae www/yorick/packages/darwin-i386/info/ \
		pkg/$(PKG_NAME)/$(PKG_NAME).info; fi
	if test -f "pkg/$(PKG_NAME)/$(PKG_NAME).info" ; then \
		ncftpput -f $(HOME)/.ncftp/maumae www/yorick/packages/linux-ppc/info/ \
		pkg/$(PKG_NAME)/$(PKG_NAME).info; fi
	if test -f "pkg/$(PKG_NAME)/$(PKG_NAME).info" ; then \
		ncftpput -f $(HOME)/.ncftp/maumae www/yorick/packages/linux-x86/info/ \
		pkg/$(PKG_NAME)/$(PKG_NAME).info; fi

distsrc:
	make clean
	-rm -rf pkg
	cd ..; tar --exclude pkg --exclude .svn --exclude CVS --exclude *.spec -zcvf \
	   $(PKG_NAME)-$(PKG_VERSION)-src.tgz yorick-$(PKG_NAME)-$(PKG_VERSION);\
	ncftpput -f $(HOME)/.ncftp/maumae www/yorick/packages/src/ \
	   $(PKG_NAME)-$(PKG_VERSION)-src.tgz
	ncftpput -f $(HOME)/.ncftp/maumae www/yorick/contrib/ \
	   ../$(PKG_NAME)-$(PKG_VERSION)-src.tgz


# -------------------------------------------------------- end of Makefile

## yorick-yutils 1.4.0

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 # these values filled in by    yorick -batch make.i
-Y_MAKEDIR=/usr/lib/yorick
-Y_EXE=/usr/lib/yorick/bin/yorick
+Y_MAKEDIR=/Users/frigaut/yorick-2.1.05x
+Y_EXE=/Users/frigaut/yorick-2.1.05x/bin/yorick
 Y_EXE_PKGS=
-Y_EXE_HOME=/usr/lib/yorick
-Y_EXE_SITE=/usr/lib/yorick
+Y_EXE_HOME=/Users/frigaut/yorick-2.1.05x
+Y_EXE_SITE=/Users/frigaut/yorick-2.1.05x
 
 # 
 # !! THIS IS NOT A PLUGIN !!

## yorick-yutils 1.5.0

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 # these values filled in by    yorick -batch make.i
-Y_MAKEDIR=/Users/frigaut/yorick-2.1.05x
-Y_EXE=/Users/frigaut/yorick-2.1.05x/bin/yorick
+Y_MAKEDIR=/usr/lib/yorick/2.1
+Y_EXE=/usr/lib/yorick/2.1/bin/yorick
 Y_EXE_PKGS=
-Y_EXE_HOME=/Users/frigaut/yorick-2.1.05x
-Y_EXE_SITE=/Users/frigaut/yorick-2.1.05x
+Y_EXE_HOME=/usr/lib/yorick/2.1
+Y_EXE_SITE=/usr/share/yorick/2.1
 
 # 
 # !! THIS IS NOT A PLUGIN !!
@@ -16,9 +16,14 @@
 # used for distribution
 PKG_NAME = yutils
 # include files for this package
-PKG_I=astro_util1.i constants.i copy_plot.i detect.i fft_utils.i histo.i idl-colors.i img.i linalg.i lmfit.i plot_demo2.i plot_demo.i plot.i plvp.i poly.i pyk.i random_et.i rdcols.i rgb.i util_fr.i utils.i coords.i doppler.i graphk.i gauss.i tws_button.i tws_field.i tws_grid.i tws.i tws_label.i tws_popup.i tws_radio.i tws_root.i
+PKG_I=astro_util1.i constants.i coords.i copy_plot.i detect.i doppler.i \
+	emulate_yeti.i fft_utils.i gauss.i graphk.i histo.i idl-colors.i img.i \
+	linalg.i lmfit.i moffat.i multiprofile.i plot_demo2.i plot_demo.i \
+	plot.i plvp.i poly.i pyk.i random_et.i rdcols.i rgb.i tws_button.i \
+	tws_field.i tws_grid.i tws.i tws_label.i tws_popup.i tws_radio.i \
+	tws_root.i util_fr.i utils.i
 # autoload file for this package, if any
-PKG_I_START = yutils_start.i
+PKG_I_START = emulate_yeti_start.i yutils_start.i
 
 # override macros Makepkg sets for rules and other macros
 # Y_HOME and Y_SITE in Make.cfg may not be correct (e.g.- relocatable)
@@ -47,11 +52,12 @@
 	cp -p $(PKG_I) $(DEST_Y_SITE)/i/
 	cp -p colors1.tbl $(DEST_Y_SITE)/data/
 	cp -p pyk.py $(DEST_Y_SITE)/python/
-	cp -p yutils_start.i $(DEST_Y_SITE)/i-start/
+	cp -p $(PKG_I_START) $(DEST_Y_SITE)/i-start/
 
 uninstall:
 	-cd $(DEST_Y_SITE)/i; rm $(PKG_I)
 	-rm $(DEST_Y_SITE)/i-start/yutils_start.i
+	-rm $(DEST_Y_SITE)/i-start/emulate_yeti_start.i
 	-rm $(DEST_Y_SITE)/data/colors1.tbl
 	-rm $(DEST_Y_SITE)/python/pyk.py

=== debian/changelog ===
yorick-yutils (1.5.0-1) unstable; urgency=low

  * New upstream release
    + patch debian-changes-1.4.0+cvs20100407-1 applied upstream
  * Depends on yorick (>= 2.1.06) which contains functions previously
    found in yutils (e.g. round())

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Mon, 19 Apr 2010 14:45:54 +0200

yorick-yutils (1.4.0+cvs20100407-1) unstable; urgency=low

  * New upstream release
  * Bump policy to 3.8.4
  * use 3.0 (quilt) format
  * round() now returns a double, this breaks several packages
  * move to section "science"

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 07 Apr 2010 17:43:40 +0200

yorick-yutils (1.4.0-1) unstable; urgency=low

  * New upstream release
  * Check for Policy 3.8.1

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 12 May 2009 16:14:01 +0200

yorick-yutils (1.3.0-2) unstable; urgency=low

  * Changex non-ascii character ² to ^2 in poly.i to avoid crashing
    update-yorickdoc on amd64. See #463746.

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Fri, 15 Feb 2008 14:03:27 +0100

yorick-yutils (1.3.0-1) unstable; urgency=low

  * New upstream
  * debian/watch: file added
  * debian/control:
     * DM-Upload-Allowed field added
     * upgraded to Standards-Version: 3.7.3.0
     * upgrade build dependency on yorick-dev
       (>= 2.1.05+dfsg-2~bpo40+1)
  * debian/rules: converted to dh_installyorick
     * added debian/ynstall
     * added debian/yorick-imutil.{packinfo,keywords,aliases}
  * debian/copyright: updated and converted to the machine-readable format
    proposed at http://wiki.debian.org/Proposals/CopyrightFormat

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 15 Jan 2008 15:20:50 +0100

yorick-yutils (1.1.1-1) unstable; urgency=low

  * Initial Release. Closes: #366711

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Fri, 07 Jul 2006 16:16:38 +0200

=== debian/control ===
Source: yorick-yutils
Section: science
Priority: optional
Maintainer: Thibaut Paumard <paumard@users.sourceforge.net>
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: yorick-dev (>= 2.1.05+dfsg-2~bpo40+1)
Standards-Version: 3.8.4
DM-Upload-Allowed: yes

Package: yorick-yutils
Architecture: all
Depends: yorick (>= 2.1.06), ${misc:Depends}
Suggests: python
Description: various utilities for the Yorick language
 Yutils is a must-have collection of interpreted routines for yorick
 (an interpreted computer language specialized for numerical and scientific
 problems). Topics: astronomical data reduction, physical constants,
 search for extrema in arrays or functions, plots, and more.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build:

clean:
	dh_testdir
	dh_testroot
	dh_clean 

binary-arch:

binary-indep:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installyorick
	dh_installdocs
	dh_installchangelogs 
	dh_installexamples
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install configure binary-arch binary-indep

=== debian/watch ===
version=3
http://www.maumae.net/yorick/packages/src/yutils-(.*)-src\.tgz

## yorick-yutils 1.5.2

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 # these values filled in by    yorick -batch make.i
-Y_MAKEDIR=/usr/lib/yorick/2.1
-Y_EXE=/usr/lib/yorick/2.1/bin/yorick
+Y_MAKEDIR=/usr/lib/yorick
+Y_EXE=/usr/lib/yorick/bin/yorick
 Y_EXE_PKGS=
-Y_EXE_HOME=/usr/lib/yorick/2.1
-Y_EXE_SITE=/usr/share/yorick/2.1
+Y_EXE_HOME=/usr/lib/yorick
+Y_EXE_SITE=/usr/lib/yorick
 
 # 
 # !! THIS IS NOT A PLUGIN !!

=== debian/changelog ===
yorick-yutils (1.5.2-2) unstable; urgency=high

  * Update debhelper compatibility level.
    + replace debian/compat by Build-Depends: debhelper-compat (= 13).
  * Bump policy standard to 4.6.0.
    + change Priority to optional.
    + removed DM-Upload-Allowed: yes

 -- Thibaut Paumard <thibaut@debian.org>  Mon, 17 Jan 2022 16:23:46 +0100

yorick-yutils (1.5.2-1) unstable; urgency=low

  * New upstream release
  * Point watch file to github
  * Comply with Debian Science Policy
  * Update copyright to adopted machine-readable format
  * Minimize debian/rules with dh notation

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Thu, 28 Jun 2012 10:12:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,14 @@
 Source: yorick-yutils
 Section: science
 Priority: optional
-Maintainer: Thibaut Paumard <paumard@users.sourceforge.net>
-Build-Depends: debhelper (>= 7)
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Thibaut Paumard <thibaut@debian.org>
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: yorick-dev (>= 2.1.05+dfsg-2~bpo40+1)
-Standards-Version: 3.8.4
-DM-Upload-Allowed: yes
+Standards-Version: 4.6.0
+Vcs-Git:  https://salsa.debian.org/science-team/yorick-yutils.git
+Vcs-Browser: https://salsa.debian.org/science-team/yorick-yutils
+Homepage: https://github.com/frigaut/yorick-yutils
 
 Package: yorick-yutils
 Architecture: all

=== debian/watch ===
version=3
https://github.com/frigaut/yorick-yutils/tags .*/tarball/(\d[\d\.]+)
